# Class goog.testing.ObjectPropertyString

code »

Object to pass a property name as a string literal and its containing object when the JSCompiler is rewriting these names. This should only be used in test code.

## Constructor

goog.testing.ObjectPropertyString ( object, propertyString )

Parameters

object: `Object`
  The containing object.
propertyString: `(Object|string)`
  Property name as a string literal.

Show:Public Protected Private

## Instance Methods

code »getObject ( ) ⇒ `Object`

Returns

The object.

code »getPropertyString ( ) ⇒ `string`

Returns

The property string.

## Instance Properties

code »object_ : `Object`
code »propertyString_ : `string`